#include "Bass.au3"
#include "BassConstants.au3"
#include "BassEnc.au3"
#include "BassEncConstants.au3"
#include "BassFX.au3"
#include "BassFXConstants.au3"

HotKeySet("{ESC}", "_Exit")

_BASS_Startup(@ScriptDir & "\Dlls\bass.dll")
_BASS_Encode_Startup(@ScriptDir & "\Dlls\bassenc.dll")
_BASS_FX_Startup(@ScriptDir & "\Dlls\bassfx.dll")
_BASS_Init(0, -1, 44100, 0)

$StreamCreateFile = _BASS_StreamCreateFile(0, @ScriptDir & "\Sample.mp3", 0, 0, $BASS_STREAM_DECODE)
$Random_Track = _BASS_FX_TempoCreate($StreamCreateFile, 0)
_BASS_ChannelSetAttribute($Random_Track, $BASS_ATTRIB_TEMPO_PITCH, 3)
_BASS_ChannelSetAttribute($Random_Track, $BASS_ATTRIB_TEMPO, 30)
_BASS_ChannelSetVolume($Random_Track, 5)  ;  hier sehr leise (also whrend Wiedergabe), Export aber offenbar Standard-Volume

_BASS_Encode_Start($Random_Track, 'lame -r -x -b128 -h - "' & @ScriptDir & '\Sample - Encode.mp3"', 0)


_BASS_ChannelPlay($Random_Track, 1)
While 1
	Sleep(100)
WEnd

Func _Exit()
	_BASS_Free()
	Exit
EndFunc